gnutls_x509_crt_get_verify_algorithm(3)

NAME
gnutls_x509_crt_get_verify_algorithm - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_verify_algorithm(gnutls_x509_crt_t crt, const gnutls_datum_t * signature, gnutls_digest_algorithm_t * hash);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

const gnutls_datum_t * signature
    contains the signature

gnutls_digest_algorithm_t * hash
    The result of the call with the hash algorithm used for signature

DESCRIPTION
This function will read the certifcate and the signed data to determine the hash algorithm used to generate the signature.

DEPRECATED
Use gnutls_pubkey_get_verify_algorithm() instead.

RETURNS
the 0 if the hash algorithm is found. A negative value is returned on error.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.